# .bashrc

## customize this and put it in ~/.bashrc to control xterm colors

xtermcolors() {
   ## are we an interactive shell in a xterm?
   if test -z "$PS1" || test x"$TERM" != x"xterm"; then
      ## no - exit
      return
   fi

   ## define default xtermcolors
   command xtermcolors --background=white --foreground=black\
                       --cursor=blue --mouse-foreground=blue\
                       --mouse-background=white "$@"
}
## set xtermcolors
xtermcolors

## change colors back to default after 'su' session         
su() {
   command su "$@"
   xtermcolors
}
